JDialog
Date: 2019-10-22

org.jmol.awtjs.swing

## Class JDialog

- java.lang.Object
- - org.jmol.awtjs.swing.Component
  - - org.jmol.awtjs.swing.Container
    - - org.jmol.awtjs.swing.JDialog

-     public class JDialog
      extends Container

  There is really no need here for awt.Dialog. We would not use FileDialog in an HTML5 context anyway.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private JContentPane` | `contentPane`
    `protected int` | `defaultHeight`
    `private int` | `defaultWidth`
    `private static int` | `headerHeight`
    `private java.lang.String` | `html`
    `(package private) int[]` | `loc`
    `private java.lang.String` | `title`
    `private int` | `zIndex`

    - ### Fields inherited from class org.jmol.awtjs.swing.Container

      `list`

    - ### Fields inherited from class org.jmol.awtjs.swing.Component

      `enabled, height, id, minHeight, minWidth, mouseListener, name, parent, renderHeight, renderWidth, text, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDialog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispose()`
    `JContentPane` | `getContentPane()`
    `void` | `pack()`
    `void` | `repaint()`
    `private void` | `setDialog()` Set it into DOM, but don't show it yet.
    `void` | `setLocation(int[] loc)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setVisible(boolean tf)`
    `void` | `setZIndex(int zIndex)`
    `void` | `toFront()`
    `java.lang.String` | `toHTML()`
    `void` | `validate()`

    - ### Methods inherited from class org.jmol.awtjs.swing.Container

      `add, addComponent, getComponent, getComponentCount, getComponents, getSubcomponentHeight, getSubcomponentWidth, insertComponent, remove, removeAll`

    - ### Methods inherited from class org.jmol.awtjs.swing.Component

      `addMouseListener, getCSSstyle, getHeight, getName, getParent, getText, getWidth, isEnabled, isVisible, newID, setBackground, setEnabled, setMinimumSize, setName, setParent, setPreferredSize, setText`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### headerHeight

          private static final int headerHeight

      See Also:
        Constant Field Values

    - #### defaultWidth

          private int defaultWidth

    - #### defaultHeight

          protected int defaultHeight

    - #### contentPane

          private JContentPane contentPane

    - #### title

          private java.lang.String title

    - #### html

          private java.lang.String html

    - #### zIndex

          private int zIndex

    - #### loc

          int[] loc

  - ### Constructor Detail

    - #### JDialog

          public JDialog()

  - ### Method Detail

    - #### setZIndex

          public void setZIndex(int zIndex)

    - #### setLocation

          public void setLocation(int[] loc)

    - #### getContentPane

          public JContentPane getContentPane()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### pack

          public void pack()

    - #### validate

          public void validate()

    - #### setVisible

          public void setVisible(boolean tf)

      Overrides:
        `setVisible` in class `Component`

    - #### dispose

          public void dispose()

    - #### repaint

          public void repaint()

      Overrides:
        `repaint` in class `Component`

    - #### setDialog

          private void setDialog()

      Set it into DOM, but don't show it yet. this.loc, this.manager, this.id, etc.

    - #### toHTML

          public java.lang.String toHTML()

      Specified by:
        `toHTML` in class `Component`

    - #### toFront

          public void toFront()